function OnLoad()
{
	//Internal replacable strings
	//oPROGNAME
	//oREMADDR
	//oREMPORT
	//oLOCPORT
	//oTRUSTEDCOMPANY
	
	var args = getArgs();
	
	if (args.ProgName)
	{
	  //oPROGNAME.innerText = args.ProgName;
	  DrawProgramName(args.ProgName);
	}	

	if (args.remaddr)
	{
	  oREMADDR.innerHTML = DrawVisualTrackingLink(args.remaddr);
	}
	
	if (args.remport)
	{
	  oREMPORT.innerText = args.remport;
	}
	
	if (args.locport)
	{
	  oLOCPORT.innerText = args.locport;
	}
	
	if (args.risk)
	{
	  switch(args.risk)
	  {
	     case "0":
		    idstrRiskLow.style.display = "";
			break;
	     case "1":
		    idstrRiskMedium.style.display = "";
			break;
	     default:
		    idstrRiskHigh.style.display = "";
			break;
	  }
	}
	
	if (args.virscan)
	{
	  switch(args.virscan)
	  {
		case "0":
			idstr_VIRUSResult0.style.display = "";
			idimg_VSIcon_Check.style.display = "";
			break;
		//Virus Type
		case "1":
			idimg_VSIcon_Warning.style.display = "";
			if(args.virusthreatcat)
			{
				switch(args.virusthreatcat)
				{
					// Threat Category 0-3 = Virus Found
					case "0":
					idstr_VIRUSThreatCat0.style.display = "";
					break;
					case "1":
					idstr_VIRUSThreatCat0.style.display = "";
					break;
					case "2":
					idstr_VIRUSThreatCat0.style.display = "";
					break;
					case "3":
					idstr_VIRUSThreatCat0.style.display = "";
					break;
					case "5":
					idstr_VIRUSThreatCat2.style.display = "";
					break;
					case "6":
					idstr_VIRUSThreatCat3.style.display = "";
					break;
					default:
					break;
				}
			}
			break;
		case "2":
			idstr_VIRUSResult2.style.display = "";
			idimg_VSIcon_Warning.style.display = "";
			break;		
		case "3":
			idstr_VIRUSResult3.style.display = "";
			idimg_VSIcon_Warning.style.display = "";
			break;
		// Threat Type	
		case "5":
			idimg_VSIcon_Warning.style.display = "";
			if(args.virusthreatcat)
			{
				switch(args.virusthreatcat)
				{
					case "4":
					idstr_VIRUSThreatCat1.style.display = "";
					break;
					case "7":
					idstr_VIRUSThreatCat4.style.display = "";
					break;
					case "8":
					idstr_VIRUSThreatCat5.style.display = "";
					break;
					case "9":
					idstr_VIRUSThreatCat6.style.display = "";
					break;
					case "10":
					idstr_VIRUSThreatCat7.style.display = "";
					break;
					case "11":
					idstr_VIRUSThreatCat8.style.display = "";
					break;
					//UnKnown
					case "-1":
					idstr_VIRUSThreatCat9.style.display = "";
					break;
					default:
					break;
				}
			}
			break;
		
		case "4"://Same as default
		default:
			idstr_VIRUSResult4.style.display = "";
			idimg_VSIcon_Urgent.style.display = "";
			break;
	  }
	}
	else
	{
	  //Error state
      idstr_VIRUSResult3.style.display = "";
      idimg_VSIcon_Urgent.style.display = "";
	}
			
	if (args.digisign)
	{
	  switch(args.digisign)
	  {
		case "1":
			idstr_SignatureResult1.style.display = "";
			idimg_DSIcon_Check.style.display = "";
			break;
		case "0"://Same as default
		default:
			idstr_SignatureResult0.style.display = "";
			idimg_DSIcon_Warning.style.display = "";
			break;
	  }
	}
	else
	{
      idimg_DSIcon_Urgent.style.display = "";
	  idstr_SignatureResult2.style.display = "";
	}
	
	if(args.direction)
	{
		switch(args.direction)
		{
			case "Inbound":
				idstr_DirectionResult0.style.display = "";
				idimg_DirIcon_Check.style.display = "";
				idstrConnectFrom.style.display = "";
				break;
			case "Outbound":
				idstr_DirectionResult1.style.display = "";
				idimg_DirIcon_Check.style.display = "";
				idstrConnectTo.style.display = "";
				break;
			case "Either":
			default:
				idstr_DirectionResult2.style.display = "";
				idimg_DirIcon_Check.style.display = "";
				idstrCommunicate.style.display = "";
				break;
		}
	}
			
	CollapseSections();
}
